<?php

/*
Plugin Name: SHOPAGG功能增强插件
Description: 此插件仅为“SHOPAGG省心建站”客户提供个性化功能定制
Version: 0.0.1
Author: SHOPAGG
Author URI: https://www.shopagg.com/
Requires at least: 6.5
Requires PHP: 7.0
*/

/**
 * 在产品分类菜单名称前显示缩略图
 */
add_filter('nav_menu_item_title', 'show_product_cat_thumbnail_in_menu', 10, 2);
function show_product_cat_thumbnail_in_menu($title, $item) {
    // 仅针对 WooCommerce 产品分类菜单项
    if ($item->type === 'taxonomy' && $item->object === 'product_cat') {
        $term_id = $item->object_id;
        $thumbnail_id = get_term_meta($term_id, 'thumbnail_id', true);
        
        if ($thumbnail_id) {
            $image_url = wp_get_attachment_image_url($thumbnail_id, 'thumbnail');
            $image_html = '<img src="' . esc_url($image_url) . '" width="24px"/>';
            $title = $image_html . $title;
        }
    }
    return $title;
}